| FlatBuffers An open source project by FPL.

Public Types | Public Member Functions | List of all members
flatbuffers::VectorIterator< T, IT > Struct Template Reference

## Public Types
typedef ptrdiff_t | difference_type
typedef std::random_access_iterator_tag | iterator_category
typedef IT * | pointer
typedef IT & | reference
typedef IT | value_type

## Public Member Functions
bool | operator!= (const VectorIterator &other) const
IT | operator* () const
VectorIterator | operator+ (const uoffset_t &offset) const
VectorIterator & | operator++ ()
VectorIterator | operator++ (int)
VectorIterator & | operator+= (const uoffset_t &offset)
VectorIterator | operator- (const uoffset_t &offset) const
difference_type | operator- (const VectorIterator &other) const
VectorIterator & | operator-- ()
VectorIterator | operator-- (int)
VectorIterator & | operator-= (const uoffset_t &offset)
IT | operator-> () const
bool | operator< (const VectorIterator &other) const
VectorIterator & | operator= (const VectorIterator &other)
VectorIterator & | operator= (VectorIterator &&other)
bool | operator== (const VectorIterator &other) const
| VectorIterator (const uint8_t *data, uoffset_t i)
| VectorIterator (const VectorIterator &other)

The documentation for this struct was generated from the following file:

- flatbuffers.h